Subject: Re: [PATCH 04/10] ASoC: fsl_ssi: Refine all comments

From: Nicolin Chen <[email-masked]>
Date: Mon, 4 Dec 2017 20:36:54 -0800

On Mon, Dec 04, 2017 at 10:04:57PM -0600, Timur Tabi wrote:
> On 12/4/17 2:46 PM, Nicolin Chen wrote:
> >This patch refines the comments by:
> >1) Removing all out-of-date comments
> >2) Removing all not-so-useful comments
> >3) Unifying the styles of all comments
> >4) Simplifying over-descriptive comments
> >5) Adding comments to improve code readablity
> >6) Moving all register related comments to fsl_ssi.h
> >7) Adding comments to all register and field defines
> >
> >Even after adding dozens of lines in fsl_ssi.h, this patch reduces
> >100 lines totally.
> 
> I'll review the other patches later, but I'm not keen on your
> removal of some of the comments in this patch.  I don't see why line
> count is so important, and you're removing some informative text.  I

That's okay. That's why I included recent contributors to review.

> can see removing trivial comments and outdated ones, but
> "no-so-useful" and "over-descriptive" are subjective.

I agree. I am just being very aggressive here to clean up the driver
in any inch that I feel it's possible to simplify. If any one has a
concern about certain parts of the removal, it's okay to justify for
it. I will revise it to get more informative while being concise.